package me.parsell.glowstonewire;

import me.parsell.glowstonewire.core.glowBlocks;
import me.parsell.glowstonewire.core.glowItems;
import me.parsell.glowstonewire.core.glowRecipes;
import me.shedaniel.autoconfig.AutoConfig;
import me.shedaniel.autoconfig.serializer.GsonConfigSerializer;
import net.fabricmc.api.ModInitializer;

public class GlowstoneWire implements ModInitializer {
	public static final String MODID = "glowstonewire";
	public static GlowstoneWireConfig CONFIG;
	
	@Override
	public void onInitialize() {
		AutoConfig.register(GlowstoneWireConfig.class, GsonConfigSerializer::new);
		CONFIG = AutoConfig.getConfigHolder(GlowstoneWireConfig.class).getConfig();

    	glowBlocks.init();
    	glowItems.init();
		glowRecipes.init();
	}
}
