package me.parsell.glowstonewire.core;

import com.google.gson.JsonArray;
import com.google.gson.JsonObject;

import me.parsell.glowstonewire.GlowstoneWire;

public class glowRecipes {
    public static JsonObject MODDED_TO_VANILLA;
    public static JsonObject VANILLA_TO_MODDED;

    public static void init(){
        // Vanilla Glowstone -> Modded Glowstone
        if(GlowstoneWire.CONFIG.addConversionRecipe || true) {
            // This is the json objects
            JsonObject cIngredientVanilla = new JsonObject();
            JsonObject CIngredientModded = new JsonObject();
            JsonArray cIngredientsList = new JsonArray();
    
            cIngredientVanilla.addProperty("item", "minecraft:glowstone_dust");
            CIngredientModded.addProperty("item", "glowstonewire:glowstone_dust");

            // FOR VANILLA TO MODDED
            VANILLA_TO_MODDED = new JsonObject();
            
            // Header, defining what type of crafting recipe it is
            VANILLA_TO_MODDED.addProperty("type", "minecraft:crafting_shapeless");
    
            // Adding the ingredients
            cIngredientsList.add(cIngredientVanilla);
            VANILLA_TO_MODDED.add("ingredients", cIngredientsList);
    
            // Adding the result
            VANILLA_TO_MODDED.add("result", CIngredientModded);

            // Clearing out the old array for new
            cIngredientsList = new JsonArray();
    
            // FOR MODDED TO VANILLA
            MODDED_TO_VANILLA = new JsonObject();
    
            // Define recipe type
            MODDED_TO_VANILLA.addProperty("type", "minecraft:crafting_shapeless");
    
            // Add ingredients
            cIngredientsList.add(CIngredientModded);
            MODDED_TO_VANILLA.add("ingredients", cIngredientsList);
    
            // Add result
            MODDED_TO_VANILLA.add("result", cIngredientVanilla);

            System.out.println(MODDED_TO_VANILLA.toString());
            System.out.println(VANILLA_TO_MODDED.toString());
        }
    }
}
